astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Virtual Observatory Access (`astropy.vo`) »
- SAMP (Simple Application Messaging Protocol (`astropy.vo.samp`) »
- SAMPMsgReplierWrapper

# SAMPMsgReplierWrapper

class `astropy.vo.samp.``SAMPMsgReplierWrapper`(cli)

  Bases: `object`

  Function decorator that allows to automatically grab errors and returned maps (if any) from a function bound to a SAMP call (or notify).

  Parameters:

  cli : `SAMPIntegratedClient` or `SAMPClient`

  > SAMP client instance. Decorator initialization, accepting the instance of the client that receives the call or notification.

  Methods Summary

  `__call__`(f) |

  Methods Documentation

  `__call__`(f)